Description

It would be nice to be able to have footnotes on the wiki pages. Dokuwiki has a nice syntax:
You can add footnotes ((This is a footnote)) by using double parentheses.

Dokuwiki in my opinion has the best wiki markup out there. It could inspire many good features for the Wiki engine in Redmine.

Associated revisions

Revision 1941 - 2008-10-18 13:25 - Jean-Philippe Lang

Fixed: textile footnotes no longer work after r1113 (#974).

History

#1 - 2008-05-21 00:15 - Ignacio Carrera

First of all, Redmine uses RedCloth for all its semantic formatting needs, which is an implementation of Textile.

Textile does indeed support footnotes, using the following syntax:

This is some foo[1].

fn1. And "foo" is related to "bar".

You can verify that indeed Textile supports footnotes (try that text with the link | provided). You can even try it with RedCloth:
RedCloth.new(text).to_html

The trouble is, Redmine extends RedCloth's parsing with its own processing (special links, and a few other extensions).

So, footnotes are not working (incidentally, in my job I'm still using 0.5.1, and it worked then!). Sadly, somewhere between 0.5.1 and 0.7.1.1415
footnotes parsing got broken.

A shame, as | used them frequently.

nachokb

#2 - 2008-05-21 00:20 - Ignacio Carrera

And, ifl might add, you can see Redmine's modifications typing this in the console:

Redmine::WikiFormatting.to_html(a)

nachokb

#3 - 2008-08-13 13:12 - Jan Losinski

Because | need footnotes | traversed all the redcloth revs in redmine and | found out, that the bug was born in r1113, which should fix ticket #210.
| think disable glyths at all is not the best solution.

#4 - 2008-10-18 13:20 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix
http://whytheluckystiff.net/ruby/redcloth/
http://justonly.com/textilephp/index.php
https://www.redmine.org/projects/redmine/repository/svn/revisions/1113
https://www.redmine.org/issues/210

Textile footnotes now work in r1941.
| like the Dokuwiki syntax, but Redmine uses Textile.

#5 - 2012-09-20 12:58 - Dmitry Pashkevich

- Status changed from Closed to Reopened

This seems to be partially broken in Redmine 2.0.3.stable.9893 that | am using.

The fn1. gets recognized and gets transformed in to supertext but the reference [1] isn't transformed into a link and left as is.
#6 - 2012-09-20 16:11 - Etienne Massip

Dmitry Pashkevich wrote:

This seems to be partially broken in Redmine 2.0.3.stable.9893 that | am using.

The fn1. gets recognized and gets transformed in to supertext but the reference [1] isn't transformed into a link and left as is.

Works in 2.1, | think that the note reference must be placed right after the word with no space between them.

#7 - 2013-05-16 03:33 - Mischa The Evil
- Status changed from Reopened to Closed
Etienne Massip wrote:

Dmitry Pashkevich wrote:

This seems to be partially broken in Redmine 2.0.3.stable.9893 that | am using.

The fn1. gets recognized and gets transformed in to supertext but the reference [1] isn't transformed into a link and left as is.

Works in 2.1, | think that the note reference must be placed right after the word with no space between them.
Etienne is right about this. Syntax must be like:
Text with a footnote[l]

fnl. and here the actual footnote.

Otherwise this issue is outdated and long fixed. The actual issue regarding broken footnotes parsing was introduced in r1113 and fixed in r1941.
https://www.redmine.org/projects/redmine/repository/svn/revisions/1941
https://www.redmine.org/projects/redmine/repository/svn/revisions/1113
https://www.redmine.org/projects/redmine/repository/svn/revisions/1941
http://www.tcpdf.org

